This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 249214 - Review Request: alienblaster - Action-loaded 2D arcade shooter game
Review Request: alienblaster - Action-loaded 2D arcade shooter game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-22 15:51 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 17:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-07-22 15:51:13 EDT
Spec URL: http://people.atrpms.net/~hdegoede/alienblaster.spec
SRPM URL: http://people.atrpms.net/~hdegoede/alienblaster-1.1.0-1.fc8.src.rpm
Description:
Alien Blaster is an action-loaded 2D arcade shooter game. Your mission in the
game is simple: stop the invasion of the aliens by blasting them.
Simultaneous two-player mode is available.
Comment 1 Tom "spot" Callaway 2007-07-22 17:26:29 EDT
NO DEVEL
=========

Good:

- rpmlint checks return: nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime 

APPROVED. You're getting rather good at this, Hans. :)
Comment 2 Tom "spot" Callaway 2007-07-22 17:41:47 EDT
One minor note:

The .sh script you're using to launch the alienblaster.bin has a minor bug
(preventing the game from launching).

Your script make a symlink to "sounds" instead of the correct "sound".

You should fix that before building.
Comment 3 Hans de Goede 2007-07-23 03:15:50 EDT
(In reply to comment #2)
> One minor note:
> 
> The .sh script you're using to launch the alienblaster.bin has a minor bug
> (preventing the game from launching).
> 
> Your script make a symlink to "sounds" instead of the correct "sound".
> 

Oopsee, good catch. I noticed this myself too, fixed the symlink in my ~
manually, play tested and then forgot all about it :)

And many thanks for the review!
Comment 4 Hans de Goede 2007-07-23 03:47:24 EDT
New Package CVS Request
=======================
Package Name:      alienblaster
Short Description: Action-loaded 2D arcade shooter game
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel
InitialCC:         <empty>


Comment 5 Hans de Goede 2007-07-23 17:01:01 EDT
imported, build and submitted as F-7 update, closing.


Note You need to log in before you can comment on or make changes to this bug.